OpenVDB 5.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
SetGroupByFilterOp< PointDataTree, FilterT, IterT > Struct Template Reference

`#include <PointGroup.h>`

## Public Types
using | LeafManagerT = typename tree::LeafManager< PointDataTree >
using | LeafRangeT = typename LeafManagerT::LeafRange
using | LeafNodeT = typename PointDataTree::LeafNodeType
using | GroupIndex = AttributeSet::Descriptor::GroupIndex

## Public Member Functions
| SetGroupByFilterOp (const GroupIndex &index, const FilterT &filter)
void | operator() (const typename LeafManagerT::LeafRange &range) const

## Public Attributes
const GroupIndex & | mIndex
const FilterT & | mFilter

## Member Typedef Documentation

## ◆ GroupIndex

using GroupIndex = AttributeSet::Descriptor::GroupIndex

## ◆ LeafManagerT

using LeafManagerT = typename tree::LeafManager<PointDataTree>

## ◆ LeafNodeT

using LeafNodeT = typename PointDataTree::LeafNodeType

## ◆ LeafRangeT

using LeafRangeT = typename LeafManagerT::LeafRange

## Constructor & Destructor Documentation

## ◆ SetGroupByFilterOp()

SetGroupByFilterOp | ( | const GroupIndex & | index,
|  | const FilterT & | filter
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const typename LeafManagerT::LeafRange & | range | ) | const
| inline

## Member Data Documentation

## ◆ mFilter

const FilterT& mFilter

## ◆ mIndex

const GroupIndex& mIndex

The documentation for this struct was generated from the following file:

- PointGroup.h